Subject: [spring] I-D Action: draft-ietf-spring-resource-aware-segments-04.txt

From: [email-masked]
Date: Sat, 05 Mar 2022 23:51:45 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Source Packet Routing in Networking WG of the IETF.

        Title           : Introducing Resource Awareness to SR Segments
        Authors         : Jie Dong
                          Stewart Bryant
                          Takuya Miyasaka
                          Yongqing Zhu
                          Fengwei Qin
                          Zhenqiang Li
                          Francois Clad
	Filename        : draft-ietf-spring-resource-aware-segments-04.txt
	Pages           : 13
	Date            : 2022-03-05

Abstract:
   This document describes the mechanism to associate network resource
   attributes to Segment Routing Identifiers (SIDs).  Such SIDs are
   referred to as resource-aware SIDs in this document.  The resource-
   aware SIDs retain their original forwarding semantics, but with the
   additional semantics to identify the set of network resources
   available for the packet processing and forwarding action.  The
   resource-aware SIDs can therefore be used to build SR paths or
   virtual networks with a set of reserved network resources.  The
   proposed mechanism is applicable to both segment routing with MPLS
   data plane (SR-MPLS) and segment routing with IPv6 data plane (SRv6).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-spring-resource-aware-segments/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-spring-resource-aware-segments-04

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-spring-resource-aware-segments-04

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts